function drawHalfDonut(val, max_val, container) {
    var value = val;
    var text = val;
    var value_percent = (val / (max_val / 100)) / 100;
    var data = [value_percent, 1 - value_percent];
    
    // Settings
    var width = 300
    var height = 150
    var anglesRange = 0.5 * Math.PI
    var radis = Math.min(width, 2 * height) / 2
    var thickness = 50
    // Utility 
    var colors = ["#5EBBF8", "#F5F5F5"]
    
    var pies = d3.pie()
    	.value( d => d)
    	.sort(null)
    	.startAngle( anglesRange * -1)
    	.endAngle( anglesRange)
    
		var arc = d3.arc()
    	.outerRadius(radis)
    	.innerRadius(radis - thickness)
    
    var translation = (x, y) => `translate(${x}, ${y})`
    
    // Append the SVG where the visualization will be drawn
    var svg = d3.select(container).append("svg")
      .attr("width", width)
      .attr("height", height)
    	.attr("class", "half-donut")
			.append("g")
    	.attr("transform", translation(width / 2, height))
    
    
    svg.selectAll("path")
    	.data(pies(data))
    	.enter()
    	.append("path")
    	.attr("fill", (d, i) => colors[i])
    	.attr("d", arc)
    
		svg.append("text")
    	.text( d => text)
    	//.attr("dy", "-3rem")
    	.attr("class", "label")
    	.attr("text-anchor", "middle")
}